org.eclipse.emf.cdo.common.util

## Class CDOCommonEventAdapter

- java.lang.Object
- - org.eclipse.net4j.util.container.ContainerEventAdapter<java.lang.Object>
  - - org.eclipse.emf.cdo.common.util.CDOCommonEventAdapter

- All Implemented Interfaces:
    java.util.EventListener, IListener

      public class CDOCommonEventAdapter
      extends ContainerEventAdapter<java.lang.Object>

  A convenience adapter for common CDO `events`.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOCommonEventAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `notifyOtherEvent(IEvent event)`
    `protected void` | `onAdded(IContainer<java.lang.Object> container, java.lang.Object element)`
    `protected void` | `onPassiveUpdatesEnabled(boolean oldEnabled, boolean newEnabled)`
    `protected void` | `onPassiveUpdatesMode(CDOCommonSession.Options.PassiveUpdateMode oldMode, CDOCommonSession.Options.PassiveUpdateMode newMode)`
    `protected void` | `onRemoved(IContainer<java.lang.Object> container, java.lang.Object element)`
    `protected void` | `onViewClosed(CDOCommonView element)`
    `protected void` | `onViewOpened(CDOCommonView view)`

    - ### Methods inherited from class org.eclipse.net4j.util.container.ContainerEventAdapter

      `isWaitForActive, notifyContainerEvent, notifyEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOCommonEventAdapter

          public CDOCommonEventAdapter()

  - ### Method Detail

    - #### notifyOtherEvent

          protected void notifyOtherEvent(IEvent event)

      Overrides:
        `notifyOtherEvent` in class `ContainerEventAdapter<java.lang.Object>`

    - #### onAdded

          protected void onAdded(IContainer<java.lang.Object> container,
                                 java.lang.Object element)

      Overrides:
        `onAdded` in class `ContainerEventAdapter<java.lang.Object>`

    - #### onRemoved

          protected void onRemoved(IContainer<java.lang.Object> container,
                                   java.lang.Object element)

      Overrides:
        `onRemoved` in class `ContainerEventAdapter<java.lang.Object>`

    - #### onViewOpened

          protected void onViewOpened(CDOCommonView view)

    - #### onViewClosed

          protected void onViewClosed(CDOCommonView element)

    - #### onPassiveUpdatesEnabled

          protected void onPassiveUpdatesEnabled(boolean oldEnabled,
                                                 boolean newEnabled)

    - #### onPassiveUpdatesMode

          protected void onPassiveUpdatesMode(CDOCommonSession.Options.PassiveUpdateMode oldMode,
                                              CDOCommonSession.Options.PassiveUpdateMode newMode)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html